# Class BigQueryLoggerConfig.Builder

java.lang.Object
com.google.adk.plugins.agentanalytics.BigQueryLoggerConfig.Builder

Enclosing class:
  `BigQueryLoggerConfig`

public abstract static class BigQueryLoggerConfig.Builder extends Object
Builder for `BigQueryLoggerConfig`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Builder()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract BigQueryLoggerConfig.Builder`
  `autoSchemaUpgrade(boolean autoSchemaUpgrade)`
  `abstract BigQueryLoggerConfig.Builder`
  `batchFlushInterval(Duration batchFlushInterval)`
  `abstract BigQueryLoggerConfig.Builder`
  `batchSize(int batchSize)`
  `abstract BigQueryLoggerConfig`
  `build()`
  `abstract BigQueryLoggerConfig.Builder`
  `clusteringFields(List<String> clusteringFields)`
  `abstract BigQueryLoggerConfig.Builder`
  `connectionId(String connectionId)`
  `abstract BigQueryLoggerConfig.Builder`
  `contentFormatter(@Nullable BiFunction<Object,String,Object> contentFormatter)`
  `abstract BigQueryLoggerConfig.Builder`
  `createViews(boolean createViews)`
  `abstract BigQueryLoggerConfig.Builder`
  `credentials(com.google.auth.Credentials credentials)`
  `abstract BigQueryLoggerConfig.Builder`
  `customTags(Map<String,Object> customTags)`
  `abstract BigQueryLoggerConfig.Builder`
  `datasetId(String datasetId)`
  `abstract BigQueryLoggerConfig.Builder`
  `enabled(boolean enabled)`
  `abstract BigQueryLoggerConfig.Builder`
  `eventAllowlist(@Nullable List<String> eventAllowlist)`
  `abstract BigQueryLoggerConfig.Builder`
  `eventDenylist(@Nullable List<String> eventDenylist)`
  `abstract BigQueryLoggerConfig.Builder`
  `gcsBucketName(String gcsBucketName)`
  `abstract BigQueryLoggerConfig.Builder`
  `location(String location)`
  `abstract BigQueryLoggerConfig.Builder`
  `logMultiModalContent(boolean logMultiModalContent)`
  `abstract BigQueryLoggerConfig.Builder`
  `logSessionMetadata(boolean logSessionMetadata)`
  `abstract BigQueryLoggerConfig.Builder`
  `maxContentLength(int maxContentLength)`
  `abstract BigQueryLoggerConfig.Builder`
  `projectId(String projectId)`
  `abstract BigQueryLoggerConfig.Builder`
  `queueMaxSize(int queueMaxSize)`
  `abstract BigQueryLoggerConfig.Builder`
  `retryConfig(BigQueryLoggerConfig.RetryConfig retryConfig)`
  `abstract BigQueryLoggerConfig.Builder`
  `shutdownTimeout(Duration shutdownTimeout)`
  `abstract BigQueryLoggerConfig.Builder`
  `tableName(String tableName)`
  `abstract BigQueryLoggerConfig.Builder`
  `viewPrefix(String viewPrefix)`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Builder

    public Builder()

- ## Method Details

  - ### enabled

    @CanIgnoreReturnValue public abstract BigQueryLoggerConfig.Builder enabled(boolean enabled)

  - ### eventAllowlist

    @CanIgnoreReturnValue public abstract BigQueryLoggerConfig.Builder eventAllowlist(@Nullable List<String> eventAllowlist)

  - ### eventDenylist

    @CanIgnoreReturnValue public abstract BigQueryLoggerConfig.Builder eventDenylist(@Nullable List<String> eventDenylist)

  - ### maxContentLength

    @CanIgnoreReturnValue public abstract BigQueryLoggerConfig.Builder maxContentLength(int maxContentLength)

  - ### location

    @CanIgnoreReturnValue public abstract BigQueryLoggerConfig.Builder location(String location)

  - ### projectId

    @CanIgnoreReturnValue public abstract BigQueryLoggerConfig.Builder projectId(String projectId)

  - ### datasetId

    @CanIgnoreReturnValue public abstract BigQueryLoggerConfig.Builder datasetId(String datasetId)

  - ### tableName

    @CanIgnoreReturnValue public abstract BigQueryLoggerConfig.Builder tableName(String tableName)

  - ### clusteringFields

    @CanIgnoreReturnValue public abstract BigQueryLoggerConfig.Builder clusteringFields(List<String> clusteringFields)

  - ### logMultiModalContent

    @CanIgnoreReturnValue public abstract BigQueryLoggerConfig.Builder logMultiModalContent(boolean logMultiModalContent)

  - ### retryConfig

    @CanIgnoreReturnValue public abstract BigQueryLoggerConfig.Builder retryConfig(BigQueryLoggerConfig.RetryConfig retryConfig)

  - ### batchSize

    @CanIgnoreReturnValue public abstract BigQueryLoggerConfig.Builder batchSize(int batchSize)

  - ### batchFlushInterval

    @CanIgnoreReturnValue public abstract BigQueryLoggerConfig.Builder batchFlushInterval(Duration batchFlushInterval)

  - ### shutdownTimeout

    @CanIgnoreReturnValue public abstract BigQueryLoggerConfig.Builder shutdownTimeout(Duration shutdownTimeout)

  - ### queueMaxSize

    @CanIgnoreReturnValue public abstract BigQueryLoggerConfig.Builder queueMaxSize(int queueMaxSize)

  - ### contentFormatter

    @CanIgnoreReturnValue public abstract BigQueryLoggerConfig.Builder contentFormatter(@Nullable BiFunction<Object,String,Object> contentFormatter)

  - ### connectionId

    @CanIgnoreReturnValue public abstract BigQueryLoggerConfig.Builder connectionId(String connectionId)

  - ### logSessionMetadata

    @CanIgnoreReturnValue public abstract BigQueryLoggerConfig.Builder logSessionMetadata(boolean logSessionMetadata)

  - ### customTags

    @CanIgnoreReturnValue public abstract BigQueryLoggerConfig.Builder customTags(Map<String,Object> customTags)

  - ### autoSchemaUpgrade

    @CanIgnoreReturnValue public abstract BigQueryLoggerConfig.Builder autoSchemaUpgrade(boolean autoSchemaUpgrade)

  - ### createViews

    @CanIgnoreReturnValue public abstract BigQueryLoggerConfig.Builder createViews(boolean createViews)

  - ### viewPrefix

    @CanIgnoreReturnValue public abstract BigQueryLoggerConfig.Builder viewPrefix(String viewPrefix)

  - ### gcsBucketName

    @CanIgnoreReturnValue public abstract BigQueryLoggerConfig.Builder gcsBucketName(String gcsBucketName)

  - ### credentials

    @CanIgnoreReturnValue public abstract BigQueryLoggerConfig.Builder credentials(com.google.auth.Credentials credentials)

  - ### build

    public abstract BigQueryLoggerConfig build()